RK-J - Task #3258
Feature # 3246 (Closed): Support for Search Stats page

Add a controller mapping for 'Search Stats' form action which generates & uploads the excel and
returns the link

10/06/2023 09:28 AM - Venmuhilan B

Status: Closed Start date: 10/06/2023
Priority: Normal Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 2.00 hours
Target version: 1-RK-J-1 Spent time: 2.00 hours
Description

Create an API "reportGeneration/api/v1/searchStats" named getSearchStats() in ReportGenerationAPl.java .
Create a service method in ReportGenerationService.java and report generation implementation in ExcelGeneration.java

Input:- start date, end date, Access Token.

Output:-
Generate a sheet with the following fields :- URL, Phrase, RKen Served, Asked In CGpt, CGpt Served

where
RKen Served - Count value[when a user searches in copilot and gets the purple link results for the phrase. please add 1 to RKen
Served.]

Asked In CGpt - Count value[When a user clicked the 'Yes' button to obtain the answer from ChatGPT plus for the phrase. please
add 1 to Asked In CGpt.]

CGpt Served - Count value[no of /answer API calls for the phrase]

History

#1 - 10/06/2023 09:35 AM - Venmuhilan B

- Description updated

#2 - 10/06/2023 09:36 AM - Venmuhilan B

- Description updated

#3 - 10/06/2023 11:05 AM - Md Shahzar

- Status changed from New to In Progress

#4 - 10/06/2023 02:05 PM - Md Shahzar
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#5 - 10/06/2023 02:26 PM - Md Shahzar
- Status changed from Resolved to Review

- Assignee changed from Md Shahzar to Venmuhilan B

#6 - 10/06/2023 02:31 PM - Md Shahzar

- Assignee changed from Venmuhilan B to Abhijata Sen

#7 - 10/16/2023 11:50 AM - Venmuhilan B
- Assignee changed from Abhijata Sen to Ayush Khandelwal

#8 - 10/17/2023 12:57 PM - Venmuhilan B

- Status changed from Review to Feedback
- Assignee changed from Ayush Khandelwal to Venmubhilan B

#9 - 11/13/2023 05:22 AM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ram Kordale

#10 - 01/05/2024 02:54 AM - Ram Kordale
- Status changed from Feedback to Closed
